Edits a route's name and meter assignments
Use this endpoint to rename a route or change which meters are assigned to it and their display order.
Route name must be unique. Meters already on other routes will be moved to this route.
Cannot remove meters that are outside the user’s topmost place from the route.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| id | Unique numeric identifier of the route to edit | integer (int32) | Required |
Request Body
RouteRequest
| Property | Description | Type |
|---|---|---|
| meterIds | The list of IDs for meters to be assigned to the route. The order in which the meter IDs appear will determine their order on the route. NOTE: if the same meter ID is passed in multiple times, the first occurrence of the meter ID will be used to determine the order on the route Required | integer[] |
| routeCode | The route code This property has been deprecated. Route code will be generated from the value in route info Must be between 0 and 16 characters | string |
| routeInfo | The route info Must be between 0 and 32 characters Required | string |
Example Request Body
{ "meterIds": [
1
], "routeCode": "string", "routeInfo": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
RouteResponse
| Property | Description | Type |
|---|---|---|
| numberOfMeters | The number of meters assigned to this route | integer (int32) |
| routeCode | The route code | string |
| routeId | The route identifier | integer (int32) |
| routeInfo | The route info | string |
Example Response
{ "numberOfMeters": 1, "routeCode": "string", "routeId": 1, "routeInfo": "string"
}
400
Bad Request
The request was malformed or contains invalid parameters. Check the request body and query parameters.
404
Not Found
The requested resource was not found. Verify the ID or path is correct.